org.apache.ignite.internal.processors.cache

## Class IgniteFinishedCacheFutureImpl<V>

- java.lang.Object
- - org.apache.ignite.internal.util.future.IgniteFutureImpl<V>
  - - org.apache.ignite.internal.processors.cache.IgniteCacheFutureImpl<V>
    - - org.apache.ignite.internal.processors.cache.IgniteFinishedCacheFutureImpl<V>

All Implemented Interfaces:
  IgniteFuture<V>

    public class IgniteFinishedCacheFutureImpl<V>
    extends IgniteCacheFutureImpl<V>

### Field Summary

### Fields inherited from class org.apache.ignite.internal.util.future.IgniteFutureImpl

`defaultExecutor, fut`

### Constructor Summary

Constructors
Constructor and Description
`IgniteFinishedCacheFutureImpl(Throwable err)`

### Method Summary

### Methods inherited from class org.apache.ignite.internal.processors.cache.IgniteCacheFutureImpl

`chain, chainAsync, convertException`

### Methods inherited from class org.apache.ignite.internal.util.future.IgniteFutureImpl

`cancel, chainInternal, get, get, get, internalFuture, isCancelled, isDone, listen, listenAsync, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IgniteFinishedCacheFutureImpl

    public IgniteFinishedCacheFutureImpl(Throwable err)

Parameters:
  `err` - Error.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021